Skip to main content

Create wiki page

POST 

/projects/:id/wiki-pages

Creates a wiki page in the project. Supply externalRef for idempotent upserts — a second call with the same ref returns the existing page.

Request

Path Parameters

    id uuidrequired

    Resource UUID.

Header Parameters

    Idempotency-Key string

    Optional idempotency key (24 h cache). Repeat calls with the same key and path return the cached response.

Body

required

    titlestringrequired

    Possible values: non-empty

    Example: Getting Started Guide
    contentstring | nullnullable

    Markdown content.

    externalRef

    object

    Optional external reference for idempotent upserts.

    providerstringrequired

    Possible values: non-empty

    Example: illumera
    externalTypestringrequired

    Possible values: non-empty

    Example: wiki_page
    externalIdstringrequired

    Possible values: non-empty

    Example: ext-page-001

Created

Schema

    iduuidrequired
    Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    projectIduuidrequired
    Example: 7b1e2c3d-0000-0000-0000-000000000001
    titlestringrequired
    Example: Getting Started Guide
    contentstring | nullnullablerequired

    Markdown content.

    createdAtdate-timerequired
    Example: 2025-01-01T00:00:00Z
    updatedAtdate-timerequired
    Example: 2025-01-15T10:30:00Z